#ifndef CONFIG_H
#define CONFIG_H
// сюда вынесены определения всех портов и пинов


// определения для дисплея
#define CONF_DISP_PORT    PORTC
#define CONF_DISP_PIN     PINC
#define CONF_DISP_DDR     DDRC
#define CONF_DISP_E       1 // pin number in selected port
#define CONF_DISP_RS      0 // pin number in selected port
#define CONF_DISP_D7      5 // pin number in selected port
#define CONF_DISP_D6      4 // pin number in selected port
#define CONF_DISP_D5      3 // pin number in selected port
#define CONF_DISP_D4      2 // pin number in selected port


// определения для клавиатуры
#define CONF_KBD_PORT     PORTD
#define CONF_KBD_PIN      PIND
#define CONF_KBD_DDR      DDRD
#define CONF_KBD_P0       0 // pin number in selected port
#define CONF_KBD_P1       1 // pin number in selected port
#define CONF_KBD_P2       2 // pin number in selected port
#define CONF_KBD_P3       3 // pin number in selected port
#define CONF_KBD_P4       4 // pin number in selected port
#define CONF_KBD_P5       5 // pin number in selected port
#define CONF_KBD_P6       6 // pin number in selected port
#define CONF_KBD_P7       7 // pin number in selected port

// определения для драйвера шагового двигателя
#define CONF_STP_PORT     PORTB
#define CONF_STP_PIN      PINB
#define CONF_STP_DDR      DDRB
#define CONF_STP_P2       2 // pin number in selected port
#define CONF_STP_P3       3 // pin number in selected port
#define CONF_STP_P4       4 // pin number in selected port
#define CONF_STP_P5       5 // pin number in selected port

// определения для датчика оборотов
#define CONF_REED_PORT    CONF_STP_PORT // делим порт с драйвером шаговика
#define CONF_REED_PIN     CONF_STP_PIN
#define CONF_REED_DDR     CONF_STP_DDR
#define CONF_REED_P0      0 // pin number in selected port
#define CONF_REED_P1      1 // pin number in selected port

// направления движения каретки укладчика или вала редуктора
#define RIGHT_DIR         0
#define LEFT_DIR          1

#define CONF_REDUCTOR_PORT  PORTB
#define CONF_REDUCTOR_DDR DDRB
#define CONF_REDUCTOR_PIN PINB
#define CONF_REDUCTOR_PWR 6
#define CONF_REDUCTOR_BTN 7
#define CONF_REDUCTOR_PWR_OFF 0
#define CONF_REDUCTOR_PWR_ON 1

#endif /* CONFIG_H_ */
