/*
 * kbd.h
 *
 *  Created on: 03.12.2013
 *      Author: alone
 */

#ifndef KBD_H_
#define KBD_H_

#include "config.h"

#define KBD_PORT      CONF_KBD_PORT
#define KBD_P0        CONF_KBD_P0
#define KBD_P1        CONF_KBD_P1
#define KBD_P2        CONF_KBD_P2
#define KBD_P3        CONF_KBD_P3
#define KBD_P4        CONF_KBD_P4
#define KBD_P5        CONF_KBD_P5
#define KBD_P6        CONF_KBD_P6
#define KBD_P7        CONF_KBD_P7
#define KBD_PIN       CONF_KBD_PIN
#define KBD_DDR       CONF_KBD_DDR

#define MAX_PRN_POS 15

#define KEY_1 3
#define KEY_2 2
#define KEY_3 1
#define KEY_4 6
#define KEY_5 5
#define KEY_6 4
#define KEY_7 9
#define KEY_8 8
#define KEY_9 7
#define KEY_0 11
#define KEY_A 12
#define KEY_B 10


unsigned char key_tab[4];
unsigned char key_codes[17]; //матрица соответствия кодов клавиш

// Функция опроса клавиатуры
unsigned char scan_key(void);

void scan_reductor_btn(void);
//void trigger_power(void);
void reductor_power(uint8_t state);
void kbd_setup(void);
//void kbd_init_timer(void);

void kbd_handler_menu_work(unsigned char key);
void kbd_handler_menu_edit_wire(unsigned char key);
void kbd_handler_menu_layer_count(unsigned char key);

void get_char(uint8_t *menu_item, char *elem, unsigned char key);
void del_char(uint8_t *menu_item, char *elem);
void end_edit_wire(void);
void diameter_to_int(void);
void end_edit_layer_count(void);

#endif /* KBD_H_ */
