/*
 * menu.h
 *
 *  Created on: 06.12.2013
 *      Author: alone
 */

#ifndef MENU_H_
#define MENU_H_

//#define RIGHT_DIR 0
//#define LEFT_DIR 1

#define MENU_WORK 0
#define MENU_EDIT_WIRE 1
#define MENU_EDIT_LAYER_COUNT 2
#define MENU_EDIT_LAYER_CURRENT 3
#define MENU_EDIT_TOTAL_COUNT 4

#define MENU_X 0
#define MENU_Y 1
#define MENU_LENGTH 2
#define MENU_CURRENT_POS 3

uint8_t menu_diameter_pos[6];
uint8_t menu_layer_count[5];
uint8_t menu_layer_counter[4];
uint16_t last_layer_position;
uint8_t last_layer_rewind;
uint8_t menu_state;

//uint8_t menu_item1;
//struct MenuItem {
//  uint8_t pos;
//  char name[10];
//  uint8_t dot_pos;
//  uint8_t param_len;
//};

void initial_menu(void);
void show_intro(void);
void switch_direction(void);
void switch_reverse(void);
void carret_to_begin_layer_pos(void);
void carret_to_end_layer_pos(void);
void after_layer_carret_pos(uint8_t count);
void carret_to_current_layer_pos(void);
void show_diameter(void);
void show_direction(void);
void show_reverse_state(void);
void show_layer_count(void);
void show_layer_counter(void);
void show_cycles_counter(void);
void clear_counters(void);
#endif /* MENU_H_ */
