/*
 * save_params.c
 *
 *  Created on: 07.12.2013
 *      Author: alone
 */
#include <avr/eeprom.h>
#include <stdlib.h>

#include "save_params.h"
#include "transomot.h"
#include "kbd.h"

void save_parameters() {
//  сохраняем в eeprom параметры

// диаметр
  write_eeprom_array(DIAMETER_ADDR, diameter, 5);

//  кол-во витков в слое
  write_eeprom_array(LAYER_COUNT_ADDR, layer_count, 3);

//  счетчик витков в слое
  write_eeprom_array(LAYER_COUNTER_ADDR, layer_counter, 3);

//  счетчик витков
  write_eeprom_array(CYCLES_COUNTER_ADDR, cycles_counter, 4);

//  направление
  write_eeprom_byte(DIRECTION_ADDR, direction);

//    автореверс
  write_eeprom_byte(REV_ADDR, reverse_state);
}

void restore_parameters() {
//    читаем из eeprom параметры

//   диаметр
  read_eeprom_array(DIAMETER_ADDR, diameter, 5);
  diameter_to_int();

//   кол-во витков в слое
  read_eeprom_array(LAYER_COUNT_ADDR, layer_count, 3);
  layer_count_dec = atoi(layer_count);

//   счетчик витков в слое
  read_eeprom_array(LAYER_COUNTER_ADDR, layer_counter, 3);
  layer_counter_dec = atoi(layer_counter);

//   счетчик витков
  read_eeprom_array(CYCLES_COUNTER_ADDR, cycles_counter, 4);
  cycles_counter_dec = atoi(cycles_counter);

//   направление
  direction = read_eeprom_byte(DIRECTION_ADDR);

//   автореверс
  reverse_state = read_eeprom_byte(REV_ADDR);
}
