/*
 * stepper.h
 *
 *  Created on: 05.12.2013
 *      Author: alone
 */


/* 17pm-h005p2va
 * red-A
 * yel-A`
 * blu-B
 * org-B`
 * blk-gnd
 * */
#ifndef STEPPER_H_
#define STEPPER_H_

#include "config.h"

#define STEPPER_PORT CONF_STP_PORT
#define STEPPER_DDR CONF_STP_DDR

//#define STEPPER_MAX_STEPS 7
#define STEPPER_MAX_STEPS 7

// инициализация порта
void stepper_init(void);

// шаг вправо
void right(void);

// шаг вправо с задержкой
void slow_right(void);

// шаг влево
void left(void);

// шаг влево с задержкой
void slow_left(void);

void stepper_send_data(void);

void motor_free(void);

#endif /* STEPPER_H_ */
