/*
 * transomot.h
 *
 *  Created on: 13.07.2014
 *      Author: alone
 */

#ifndef TRANSOMOT_H_
#define TRANSOMOT_H_
#define F_CPU 8000000UL

//******************************************************************************
// глобальные переменные

// диаметр провода
char diameter[6];
uint16_t diameter_dec;

// кол-во витков в слое
char layer_count[4];
uint16_t layer_count_dec;

// счетчик витков в слое
char layer_counter[4];
int16_t layer_counter_dec;

// счетчик витков
char cycles_counter[5];
uint16_t cycles_counter_dec;

// направление намотки
uint8_t direction;

// состояние автореверса on/off
uint8_t reverse_state;

// кол-во импульсов шагового двигателя для смещения на 1 диаметр
int16_t step;


uint8_t reductor_power_state;

int main(void);
void worker(void);
void intro(void);
void reed_sensors_setup(void);
void setup(void);

// возведение 10 в степень
int dec_pow(int pow);
void sw_delay_ms(unsigned short count);

#endif /* TRANSOMOT_H_ */
